<?php
/**
 * WLFMC wishlist integration with astra theme
 *
 * @author MoreConvert
 * @package Smart Wishlist For More Convert
 * @since 1.3.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

add_action( 'init', 'wlfmc_astra_integrate' );

function wlfmc_astra_integrate() {

	if ( class_exists( 'Astra_Theme_Options' ) ) {

		add_filter( 'wlfmc_loop_positions', 'wlfmc_astra_fix_loop_position' );

	}

}

function wlfmc_astra_fix_loop_position( $positions ) {

	$positions['image_top_left']['hook']  = 'woocommerce_before_shop_loop_item';
	$positions['image_top_left']['priority']    = 7 ;
	$positions['image_top_right']['hook'] = 'woocommerce_before_shop_loop_item';
	$positions['image_top_right']['priority']    = 7 ;
	return $positions;
}
